[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Broken dependencies in Fedora 8 - 2008-07-19



On Thu, 24 Jul 2008 15:45:22 -0500 (CDT), Ian Weller wrote:

> >>>    ianweller AT gmail.com
> >>>        mediawiki-HNP-1.1.2-1.fc8.noarch
> >>>        mediawiki-ParserFunctions-1.1.1-1.20080520svn35130.fc8.noarch
> >>>        mediawiki-StubManager-1.2.0-1.fc8.noarch
> >>>
> >>
> >> I'm utterly confused about this. From what I can see, the dependencies
> >> should solve just fine. Can anyone take a look at this?
> >
> > Good that you ask. mediawiki is not available for ppc64. Hence your
> > packages don't install on ppc64. From the spec:
> >
> > # Ugly workaround, don't do that at home, kids!
> > # #250992
> > ExcludeArch: ppc64
> >
> 
> Interesting, I think I've asked about this before. These are noarch
> packages, and so the only thing I can really do is make it not depend on
> the ppc64 arch. There's one problem -- how?

Use

  ExcludeArch: ppc64

in the spec file and increase release right of %{?dist}. The ExcludeArch
tag finds its way into the src.rpm file header where it is recognised by
the updates push tools when dealing with noarch builds.

Whether the old builds in the ppc64 repo will be removed automatically,
I don't know. At least rel-eng should be able to do that.

And note that this is only for F8 mediawiki.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]